/*
  km82Chassis.h - Library for KM82 motor Chassis
  Released into the public domain.
  by Fernando Landaluce
  june 2013
*/


/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
*/

#ifndef km82Chassis_h
#define km82Chassis_h

class km82Motor;

 
class km82Chassis
{
  protected:
    km82Motor* motorLeft;    // Motor izquierdo
    km82Motor* motorRigth;    // Motor derecho
    int turnSpeed;

  public:
    km82Chassis(int motor_L_pin_1, int motor_L_pin_2, int motorEnablePWM_L, int motor_R_pin_1, int motor_R_pin_2, int motorEnablePWM_R );
    void test();
	void On();
	void Off();
	void coast();
	// void brake(int time);
	void brake();
	void run(int time);
	void setSpeed(int speedL, int speedR);
	void setSpeed(int speed);
	void reset();
	void forward(int time);
	void backward(int time);
	void turnLeft();
	void turnLeft(int time);
	void turnLeft(int time, int brakeTime);
	void turnLeftAngle(int angle);
	void turnRight();
	void turnRight(int time);
	void turnRight(int time, int brakeTime);
};

#endif